Subject: bug#34248: characters are duplicated when executing a macro defined under input-mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Jan 2019 20:41:51 +0200

> From: Platon Pronko <[email-masked]>
> Date: Tue, 29 Jan 2019 21:20:06 +0300
> 
> emacs -Q test.txt
> 
> where `test.txt` is an empty file. Then I performed the following actions:
> 
> M-: (activate-input-method "english-dvorak") <RET>  ;; activating the input method
> C-x C-( ;; starting a macro definition
> a       ;; typing a single character
> C-x C-) ;; finishing a macro definition
> C-X C-e ;; executing a macro
> 
> I expected to see two characters ("aa") in the buffer - one that was typed during the definition of the macro, and one that was inserted during execution of the macro.
> 
> Instead, I see three characters: "aaa" - two characters are inserted instead of one when macro executes.
> 
> I tried several other input modes, the result is the same. Each typed character is repeated twice - so for example "asdf" becomes "aassddff". And when I show macro contents using C-x C-k C-e, the following is displayed:
> 
> aa			;; self-insert-command * 2
> 
> 
> System details below:
> 
> In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
>   of 2018-07-05 built on juergen
> System Description:	Arch Linux

Thanks, this is bug #32108, which is already fixed on the master
branch of the Emacs Git repository.  The fix will be included in
Emacs 27, when that is released.